/* Name: battery_calc.h
 * Project: Sun_charge
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2010-04-10
 * Tabsize: 4
 * Copyright: (c) 2010 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Sun_charge.
 *
 *   Sun_charge is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Sun_charge is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Sun_charge.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

# ifndef BATTERY_CALC_H
# define BATTERY_CALC_H

// voltage on power pin of controller
#define AVR_POWER_VOLTAGE 				4.97

// level of off charge 6v accumulator
#define UPPER_CHARGE_VOLTAGE_6V 		7.5

// level of on charge 6v accumulator
#define LOWER_CHARGE_VOLTAGE_6V 		7.15

// level full led off
#define LOWER_TRESHOLD_INDIC_CHARGE_6V	7.0	

// level empty led on
#define BATTERY_EMPTY_6V				5.9

// start blink voltage indicator
#define ALARM_LEVEL_BATTERY_6V			6.1

#define UPPER_CHARGE_VOLTAGE_12V 		14.8

#define LOWER_CHARGE_VOLTAGE_12V 		14.2

#define LOWER_TRESHOLD_INDIC_CHARGE_12V	14.0	

#define BATTERY_EMPTY_12V				11.7

#define ALARM_LEVEL_BATTERY_12V			12.2

// choose treshold between 12/6V accumulator
#define BATTERIES_TRESHOLD				10.0

// off level solar panel when work without accumulator
#define VOLTAGE_LIMIT					15.2

#define POSITIVE_DISPERTION_LIMIT		1.0

#define	NEGATIVE_DISPERTION_LIMIT		0.5

// R3,R14 value in kOhm
#define Rinput							62.0

// R20,R21 value in kOhm
#define Rsupply							220.0

// R10, R15 value in kOhm
#define Rdivide							12.0

// services macroses

#define K_ADC							1024/AVR_POWER_VOLTAGE

#define K1								Rinput/Rsupply

#define K_INPUT_DEVIDER					(Rinput/Rdivide+K1+1)

#define K_blink_12V						20/((ALARM_LEVEL_BATTERY_12V-BATTERY_EMPTY_12V)*K_ADC)

#define K_blink_6V						20/((ALARM_LEVEL_BATTERY_6V-BATTERY_EMPTY_6V)*K_ADC)

# endif