/* Name: control_battery.h
 * Project: Sun_charge
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2010-04-10
 * Tabsize: 4
 * Copyright: (c) 2010 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Sun_charge.
 *
 *   Sun_charge is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Sun_charge is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Sun_charge.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

# ifndef CONTROL_BATTERY_H
# define CONTROL_BATTERY_H


uint8_t control_battery (uint16_t measureVoltage,uint8_t overHeat,uint16_t deltaTemerature);
uint8_t control_battery12V(uint16_t quantedVoltage,uint8_t overHeat,uint16_t deltaTemerature);
uint8_t control_battery6V(uint16_t quantedVoltage,uint8_t overHeat,uint16_t deltaTemerature);
void voltage_blink (uint16_t voltage,uint8_t overHeat,uint16_t discharge_level,uint16_t empty_level,double K_blink);
void current_blink(int16_t Current,uint8_t idleCurrent,uint8_t trackerMode);
void overheat_blink();
uint8_t check_Battery_Connected(uint16_t quantedVoltage);
uint8_t without_Battery_Control(uint16_t quantedVoltage,uint8_t overHeat);
uint8_t voltageDispersion(uint16_t quantedVoltage);
uint8_t maxDetector(int16_t aCurrent);
#endif